> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# (DEPRECATED) Accept invitation

> This API is deprecated, use POST /invitations/{invitationKey} instead. Allows user to accept an invitation to join the organization. The user will automatically leave their current organization.




## OpenAPI

````yaml /api-spec/ias-public-api.yaml post /organizations/{orgId}/invitations/{invitationId}
openapi: 3.0.3
info:
  title: IAM Service API
  description: APIs for IAM Service.
  version: 2.4.0
servers:
  - url: https://console.gmicloud.ai/api/v1
    description: IAM Service API
security: []
paths:
  /organizations/{orgId}/invitations/{invitationId}:
    post:
      tags:
        - organizations
      summary: (DEPRECATED) Accept invitation
      description: >
        This API is deprecated, use POST /invitations/{invitationKey} instead.
        Allows user to accept an invitation to join the organization. The user
        will automatically leave their current organization.
      operationId: acceptInvitation
      parameters:
        - $ref: '#/components/parameters/orgIdParam'
        - name: invitationId
          in: path
          schema:
            type: string
            format: uuid
            x-go-type: uuid.UUID
            example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          description: |
            The invitation's ID.
            - Must be a valid UUID.
      responses:
        '200':
          description: Successfully accepted the invitation.
        '400':
          description: |
            - [group:**request**, code:**0**]: Invalid field in the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                Invalid field in the request:
                  summary: Invalid field in the request.
                  value:
                    group: request
                    code: 0
                    validationDetail:
                      - field: orgId
                        expression: uuid
                        originalValue: orgId
                        reason: Should be a valid UUID.
        '403':
          description: >
            - [group:**invitation**, code:**1**]: The user has no permission to
            access the invitation resources.

            - [group:**invitation**, code:**2**]: The invitation has been
            revoked.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                The user does not have permission to access invitation resources:
                  summary: >-
                    The user has no permission to access the invitation
                    resources.
                  value:
                    group: invitation
                    code: 1
                    message: >-
                      The user does not have permission to access invitation
                      resources.
        '404':
          description: |
            - [group:**organization**, code:**2**]: Organization does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                Organization does not exist:
                  summary: Organization does not exist.
                  value:
                    group: organization
                    code: 2
                    message: Organization does not exist.
        '409':
          description: >
            - [group:**organization**, code:**0**]: User already owns an
            organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                User already owns an organization:
                  summary: The user already owns an organization.
                  value:
                    group: organization
                    code: 0
                    message: User already owns an organization.
        '500':
          description: >
            - [group:**invitation**, code:**200**]: Save invitation encountered
            error.

            - [group:**invitation**, code:**201**]: Get invitation encountered
            error.

            - [group:**organization**, code:**1201**]: Get organization
            encountered DB error.

            - [group:**organization**, code:**1400**]: Update organization
            grouping policy encountered error.

            - [group:**session**, code:**3**]: Failed to save session to cache.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                Get organization encountered DB error:
                  summary: Get organization encountered DB error.
                  value:
                    group: organization
                    code: 1201
                    message: Get organization encountered DB error.
                    traces:
                      - DB error occurred.
      deprecated: true
      security:
        - bearerAuth: []
components:
  parameters:
    orgIdParam:
      name: orgId
      in: path
      schema:
        type: string
        format: uuid
        x-go-type: uuid.UUID
        example: a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11
      required: true
      description: |
        The organization's ID.
        - Must be a valid UUID.
  schemas:
    ErrStatusMsg:
      type: object
      properties:
        group:
          type: string
          description: >-
            API function group\n -Will be "request" if there are invalid request
            parameters.
          x-oapi-codegen-extra-tags:
            binding: required
        code:
          type: integer
          description: The substatus error code for the API response.
          x-oapi-codegen-extra-tags:
            binding: required
        message:
          type: string
          description: The substatus error Message for API response.
          x-go-type-skip-optional-pointer: true
        traces:
          type: array
          items:
            type: string
          description: The original error messages.
          x-go-type-skip-optional-pointer: true
        validationDetail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationDetail'
          description: >-
            Returned when there are invalid request
            paremeters(group="request")\n List of invalid fields and the reason
            of error.
          x-go-type-skip-optional-pointer: true
      example:
        group: request
        code: 0
        validationDetail:
          - field: email
            expression: required
            originalValue: ''
            reason: This field is required.
      required:
        - group
        - code
    ValidationDetail:
      type: object
      properties:
        field:
          type: string
          description: The field of the request data.
          x-go-type-skip-optional-pointer: true
        expression:
          type: string
          description: The form of violation.
          x-go-type-skip-optional-pointer: true
        argument:
          type: string
          description: The number or data to support the expression.
          x-go-type-skip-optional-pointer: true
        originalValue:
          description: The original value from the request.
          x-go-type-skip-optional-pointer: true
        reason:
          type: string
          description: The reason for the validation error.
          x-go-type-skip-optional-pointer: true
      example:
        - field: fieldXXX
          expression: required
          originalValue: ''
          reason: This field is required.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        An access token used to authenticate a user and grant access to
        restricted APIs. It is issued by session APIs.

        For status codes related to this header, refer to the 

        [Common Headers
        Documentation](https://gmicloud.atlassian.net/wiki/spaces/CE/pages/47199534/Common+Headers#Authorization).

````